<?php

namespace Path;

/**
 * Class which returns the class map definition
 * @package Path
 */
class PathClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetLoanDataByToken' => '\\Path\\pathStructType\\PathGetLoanDataByToken',
            'ArrayOfString' => '\\Path\\pathArrayType\\PathArrayOfString',
            'GetLoanDataByTokenResponse' => '\\Path\\pathStructType\\PathGetLoanDataByTokenResponse',
            'ResultValues' => '\\Path\\pathStructType\\PathResultValues',
            'ArrayOfLoanKeyValuePair' => '\\Path\\pathArrayType\\PathArrayOfLoanKeyValuePair',
            'LoanKeyValuePair' => '\\Path\\pathStructType\\PathLoanKeyValuePair',
            'GetLoanXMLByToken' => '\\Path\\pathStructType\\PathGetLoanXMLByToken',
            'GetLoanXMLByTokenResponse' => '\\Path\\pathStructType\\PathGetLoanXMLByTokenResponse',
            'ResultLoanXML' => '\\Path\\pathStructType\\PathResultLoanXML',
            'SetLoanDataByToken' => '\\Path\\pathStructType\\PathSetLoanDataByToken',
            'ArrayOfLoanKeyValuePair1' => '\\Path\\pathArrayType\\PathArrayOfLoanKeyValuePair1',
            'SetLoanDataByTokenResponse' => '\\Path\\pathStructType\\PathSetLoanDataByTokenResponse',
            'AcctSetLoanData' => '\\Path\\pathStructType\\PathAcctSetLoanData',
            'AcctSetLoanDataResponse' => '\\Path\\pathStructType\\PathAcctSetLoanDataResponse',
            'ExtendTheToken' => '\\Path\\pathStructType\\PathExtendTheToken',
            'ExtendTheTokenResponse' => '\\Path\\pathStructType\\PathExtendTheTokenResponse',
            'GetLoanFeeData' => '\\Path\\pathStructType\\PathGetLoanFeeData',
            'GetLoanFeeDataResponse' => '\\Path\\pathStructType\\PathGetLoanFeeDataResponse',
            'ResultFeeValues' => '\\Path\\pathStructType\\PathResultFeeValues',
            'ArrayOfFeeData' => '\\Path\\pathArrayType\\PathArrayOfFeeData',
            'FeeData' => '\\Path\\pathStructType\\PathFeeData',
            'ArrayOfFeeData2' => '\\Path\\pathArrayType\\PathArrayOfFeeData2',
            'FeeData2' => '\\Path\\pathStructType\\PathFeeData2',
            'GetLoanFeeData2' => '\\Path\\pathStructType\\PathGetLoanFeeData2',
            'GetLoanFeeData2Response' => '\\Path\\pathStructType\\PathGetLoanFeeData2Response',
            'UpdateLoanFeeData2' => '\\Path\\pathStructType\\PathUpdateLoanFeeData2',
            'UpdateLoanFeeData2Response' => '\\Path\\pathStructType\\PathUpdateLoanFeeData2Response',
            'UpdateLoanFeeData' => '\\Path\\pathStructType\\PathUpdateLoanFeeData',
            'UpdateLoanFeeDataResponse' => '\\Path\\pathStructType\\PathUpdateLoanFeeDataResponse',
            'AddNewLoanFeeData2' => '\\Path\\pathStructType\\PathAddNewLoanFeeData2',
            'AddNewLoanFeeData2Response' => '\\Path\\pathStructType\\PathAddNewLoanFeeData2Response',
            'AddNewLoanFeeData' => '\\Path\\pathStructType\\PathAddNewLoanFeeData',
            'AddNewLoanFeeDataResponse' => '\\Path\\pathStructType\\PathAddNewLoanFeeDataResponse',
            'DeleteLoanFeeData' => '\\Path\\pathStructType\\PathDeleteLoanFeeData',
            'DeleteLoanFeeDataResponse' => '\\Path\\pathStructType\\PathDeleteLoanFeeDataResponse',
            'AddDocument' => '\\Path\\pathStructType\\PathAddDocument',
            'AddDocumentResponse' => '\\Path\\pathStructType\\PathAddDocumentResponse',
            'AddDocumentFile' => '\\Path\\pathStructType\\PathAddDocumentFile',
            'AddDocumentFileResponse' => '\\Path\\pathStructType\\PathAddDocumentFileResponse',
            'GetDocumentList' => '\\Path\\pathStructType\\PathGetDocumentList',
            'GetDocumentListResponse' => '\\Path\\pathStructType\\PathGetDocumentListResponse',
            'ResultDocList' => '\\Path\\pathStructType\\PathResultDocList',
            'ArrayOfDocumentInfo' => '\\Path\\pathArrayType\\PathArrayOfDocumentInfo',
            'DocumentInfo' => '\\Path\\pathStructType\\PathDocumentInfo',
            'GetDocumentFile' => '\\Path\\pathStructType\\PathGetDocumentFile',
            'GetDocumentFileResponse' => '\\Path\\pathStructType\\PathGetDocumentFileResponse',
            'ResultDocFile' => '\\Path\\pathStructType\\PathResultDocFile',
            'AcctRequestToken' => '\\Path\\pathStructType\\PathAcctRequestToken',
            'AcctRequestTokenResponse' => '\\Path\\pathStructType\\PathAcctRequestTokenResponse',
            'ResultToken' => '\\Path\\pathStructType\\PathResultToken',
            'RequestLoanToken' => '\\Path\\pathStructType\\PathRequestLoanToken',
            'RequestLoanTokenResponse' => '\\Path\\pathStructType\\PathRequestLoanTokenResponse',
            'AcctGetBUList' => '\\Path\\pathStructType\\PathAcctGetBUList',
            'AcctGetBUListResponse' => '\\Path\\pathStructType\\PathAcctGetBUListResponse',
            'ResultBUList' => '\\Path\\pathStructType\\PathResultBUList',
            'ArrayOfBUInfo' => '\\Path\\pathArrayType\\PathArrayOfBUInfo',
            'BUInfo' => '\\Path\\pathStructType\\PathBUInfo',
            'AcctGetStatusList' => '\\Path\\pathStructType\\PathAcctGetStatusList',
            'AcctGetStatusListResponse' => '\\Path\\pathStructType\\PathAcctGetStatusListResponse',
            'ResultStatusList' => '\\Path\\pathStructType\\PathResultStatusList',
            'AcctSearchLoan' => '\\Path\\pathStructType\\PathAcctSearchLoan',
            'AcctSearchLoanResponse' => '\\Path\\pathStructType\\PathAcctSearchLoanResponse',
            'ResultLoanList' => '\\Path\\pathStructType\\PathResultLoanList',
            'AcctGetMultiLoanData' => '\\Path\\pathStructType\\PathAcctGetMultiLoanData',
            'AcctGetMultiLoanDataResponse' => '\\Path\\pathStructType\\PathAcctGetMultiLoanDataResponse',
            'ResultMultiLoanValue' => '\\Path\\pathStructType\\PathResultMultiLoanValue',
            'ArrayOfArrayOfString' => '\\Path\\pathArrayType\\PathArrayOfArrayOfString',
            'AcctGetFeeList' => '\\Path\\pathStructType\\PathAcctGetFeeList',
            'AcctGetFeeListResponse' => '\\Path\\pathStructType\\PathAcctGetFeeListResponse',
            'ResultFeeList' => '\\Path\\pathStructType\\PathResultFeeList',
            'ArrayOfFeeConfigured' => '\\Path\\pathArrayType\\PathArrayOfFeeConfigured',
            'FeeConfigured' => '\\Path\\pathStructType\\PathFeeConfigured',
            'UpdateLockStatus' => '\\Path\\pathStructType\\PathUpdateLockStatus',
            'UpdateLockStatusResponse' => '\\Path\\pathStructType\\PathUpdateLockStatusResponse',
            'UpdateLockStatusWithNote' => '\\Path\\pathStructType\\PathUpdateLockStatusWithNote',
            'UpdateLockStatusWithNoteResponse' => '\\Path\\pathStructType\\PathUpdateLockStatusWithNoteResponse',
        );
    }
}
