<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetLoanDataByToken pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathGetLoanDataByToken extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The apitoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $apitoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The fieldIds
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfString
     */
    public $fieldIds;
    /**
     * Constructor method for GetLoanDataByToken
     * @uses PathGetLoanDataByToken::setVendorid()
     * @uses PathGetLoanDataByToken::setApitoken()
     * @uses PathGetLoanDataByToken::setVendorpw()
     * @uses PathGetLoanDataByToken::setFieldIds()
     * @param string $vendorid
     * @param string $apitoken
     * @param string $vendorpw
     * @param \Path\pathArrayType\PathArrayOfString $fieldIds
     */
    public function __construct($vendorid = null, $apitoken = null, $vendorpw = null, \Path\pathArrayType\PathArrayOfString $fieldIds = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setApitoken($apitoken)
            ->setVendorpw($vendorpw)
            ->setFieldIds($fieldIds);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathGetLoanDataByToken
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get apitoken value
     * @return string|null
     */
    public function getApitoken()
    {
        return $this->apitoken;
    }
    /**
     * Set apitoken value
     * @param string $apitoken
     * @return \Path\pathStructType\PathGetLoanDataByToken
     */
    public function setApitoken($apitoken = null)
    {
        // validation for constraint: string
        if (!is_null($apitoken) && !is_string($apitoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($apitoken, true), gettype($apitoken)), __LINE__);
        }
        $this->apitoken = $apitoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathGetLoanDataByToken
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get fieldIds value
     * @return \Path\pathArrayType\PathArrayOfString|null
     */
    public function getFieldIds()
    {
        return $this->fieldIds;
    }
    /**
     * Set fieldIds value
     * @param \Path\pathArrayType\PathArrayOfString $fieldIds
     * @return \Path\pathStructType\PathGetLoanDataByToken
     */
    public function setFieldIds(\Path\pathArrayType\PathArrayOfString $fieldIds = null)
    {
        $this->fieldIds = $fieldIds;
        return $this;
    }
}
