<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResultFeeValues pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathResultFeeValues extends AbstractStructBase
{
    /**
     * The Status
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Status;
    /**
     * The Message
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Message;
    /**
     * The Values
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfFeeData
     */
    public $Values;
    /**
     * The Values2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Path\pathArrayType\PathArrayOfFeeData2
     */
    public $Values2;
    /**
     * Constructor method for ResultFeeValues
     * @uses PathResultFeeValues::setStatus()
     * @uses PathResultFeeValues::setMessage()
     * @uses PathResultFeeValues::setValues()
     * @uses PathResultFeeValues::setValues2()
     * @param int $status
     * @param string $message
     * @param \Path\pathArrayType\PathArrayOfFeeData $values
     * @param \Path\pathArrayType\PathArrayOfFeeData2 $values2
     */
    public function __construct($status = null, $message = null, \Path\pathArrayType\PathArrayOfFeeData $values = null, \Path\pathArrayType\PathArrayOfFeeData2 $values2 = null)
    {
        $this
            ->setStatus($status)
            ->setMessage($message)
            ->setValues($values)
            ->setValues2($values2);
    }
    /**
     * Get Status value
     * @return int
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param int $status
     * @return \Path\pathStructType\PathResultFeeValues
     */
    public function setStatus($status = null)
    {
        // validation for constraint: int
        if (!is_null($status) && !(is_int($status) || ctype_digit($status))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get Message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * Set Message value
     * @param string $message
     * @return \Path\pathStructType\PathResultFeeValues
     */
    public function setMessage($message = null)
    {
        // validation for constraint: string
        if (!is_null($message) && !is_string($message)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($message, true), gettype($message)), __LINE__);
        }
        $this->Message = $message;
        return $this;
    }
    /**
     * Get Values value
     * @return \Path\pathArrayType\PathArrayOfFeeData|null
     */
    public function getValues()
    {
        return $this->Values;
    }
    /**
     * Set Values value
     * @param \Path\pathArrayType\PathArrayOfFeeData $values
     * @return \Path\pathStructType\PathResultFeeValues
     */
    public function setValues(\Path\pathArrayType\PathArrayOfFeeData $values = null)
    {
        $this->Values = $values;
        return $this;
    }
    /**
     * Get Values2 value
     * @return \Path\pathArrayType\PathArrayOfFeeData2|null
     */
    public function getValues2()
    {
        return $this->Values2;
    }
    /**
     * Set Values2 value
     * @param \Path\pathArrayType\PathArrayOfFeeData2 $values2
     * @return \Path\pathStructType\PathResultFeeValues
     */
    public function setValues2(\Path\pathArrayType\PathArrayOfFeeData2 $values2 = null)
    {
        $this->Values2 = $values2;
        return $this;
    }
}
