<?php

namespace Path\pathStructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateLockStatusWithNote pathStructType
 * @package Path
 * @subpackage Structs
 */
class PathUpdateLockStatusWithNote extends AbstractStructBase
{
    /**
     * The vendorid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorid;
    /**
     * The apitoken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $apitoken;
    /**
     * The vendorpw
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $vendorpw;
    /**
     * The lockstatus
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $lockstatus;
    /**
     * The locksubstatus
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $locksubstatus;
    /**
     * The note
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $note;
    /**
     * Constructor method for UpdateLockStatusWithNote
     * @uses PathUpdateLockStatusWithNote::setVendorid()
     * @uses PathUpdateLockStatusWithNote::setApitoken()
     * @uses PathUpdateLockStatusWithNote::setVendorpw()
     * @uses PathUpdateLockStatusWithNote::setLockstatus()
     * @uses PathUpdateLockStatusWithNote::setLocksubstatus()
     * @uses PathUpdateLockStatusWithNote::setNote()
     * @param string $vendorid
     * @param string $apitoken
     * @param string $vendorpw
     * @param string $lockstatus
     * @param string $locksubstatus
     * @param string $note
     */
    public function __construct($vendorid = null, $apitoken = null, $vendorpw = null, $lockstatus = null, $locksubstatus = null, $note = null)
    {
        $this
            ->setVendorid($vendorid)
            ->setApitoken($apitoken)
            ->setVendorpw($vendorpw)
            ->setLockstatus($lockstatus)
            ->setLocksubstatus($locksubstatus)
            ->setNote($note);
    }
    /**
     * Get vendorid value
     * @return string|null
     */
    public function getVendorid()
    {
        return $this->vendorid;
    }
    /**
     * Set vendorid value
     * @param string $vendorid
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setVendorid($vendorid = null)
    {
        // validation for constraint: string
        if (!is_null($vendorid) && !is_string($vendorid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorid, true), gettype($vendorid)), __LINE__);
        }
        $this->vendorid = $vendorid;
        return $this;
    }
    /**
     * Get apitoken value
     * @return string|null
     */
    public function getApitoken()
    {
        return $this->apitoken;
    }
    /**
     * Set apitoken value
     * @param string $apitoken
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setApitoken($apitoken = null)
    {
        // validation for constraint: string
        if (!is_null($apitoken) && !is_string($apitoken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($apitoken, true), gettype($apitoken)), __LINE__);
        }
        $this->apitoken = $apitoken;
        return $this;
    }
    /**
     * Get vendorpw value
     * @return string|null
     */
    public function getVendorpw()
    {
        return $this->vendorpw;
    }
    /**
     * Set vendorpw value
     * @param string $vendorpw
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setVendorpw($vendorpw = null)
    {
        // validation for constraint: string
        if (!is_null($vendorpw) && !is_string($vendorpw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vendorpw, true), gettype($vendorpw)), __LINE__);
        }
        $this->vendorpw = $vendorpw;
        return $this;
    }
    /**
     * Get lockstatus value
     * @return string|null
     */
    public function getLockstatus()
    {
        return $this->lockstatus;
    }
    /**
     * Set lockstatus value
     * @param string $lockstatus
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setLockstatus($lockstatus = null)
    {
        // validation for constraint: string
        if (!is_null($lockstatus) && !is_string($lockstatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lockstatus, true), gettype($lockstatus)), __LINE__);
        }
        $this->lockstatus = $lockstatus;
        return $this;
    }
    /**
     * Get locksubstatus value
     * @return string|null
     */
    public function getLocksubstatus()
    {
        return $this->locksubstatus;
    }
    /**
     * Set locksubstatus value
     * @param string $locksubstatus
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setLocksubstatus($locksubstatus = null)
    {
        // validation for constraint: string
        if (!is_null($locksubstatus) && !is_string($locksubstatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($locksubstatus, true), gettype($locksubstatus)), __LINE__);
        }
        $this->locksubstatus = $locksubstatus;
        return $this;
    }
    /**
     * Get note value
     * @return string|null
     */
    public function getNote()
    {
        return $this->note;
    }
    /**
     * Set note value
     * @param string $note
     * @return \Path\pathStructType\PathUpdateLockStatusWithNote
     */
    public function setNote($note = null)
    {
        // validation for constraint: string
        if (!is_null($note) && !is_string($note)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($note, true), gettype($note)), __LINE__);
        }
        $this->note = $note;
        return $this;
    }
}
